curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "animate-image",
"input": {
"model": "wan-image-to-video",
"image_url": "https://example.com/my-image.jpg",
"prompt": "Camera slowly zooming in"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "animate-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}
Animate images into videos using Wan.
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "animate-image",
"input": {
"model": "wan-image-to-video",
"image_url": "https://example.com/my-image.jpg",
"prompt": "Camera slowly zooming in"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "animate-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}
| Credits | 16 credits per second |
| Tool | animate-image |
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Your API key |
Content-Type | string | Yes | application/json |
| Parameter | Type | Required | Description |
|---|---|---|---|
tool | string | Yes | animate-image |
input.model | string | Yes | wan-image-to-video |
input.image_url | string | Yes | URL of the image to animate |
input.prompt | string | No | Description of the desired motion |
curl -X POST https://api.artificialstudio.ai/api/run \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY" \
-d '{
"tool": "animate-image",
"input": {
"model": "wan-image-to-video",
"image_url": "https://example.com/my-image.jpg",
"prompt": "Camera slowly zooming in"
}
}'
{
"id": "507f1f77bcf86cd799439011",
"status": "processing",
"tool": "animate-image",
"createdAt": "2024-01-15T10:30:00.000Z"
}